java.lang.IllegalArgumentException

There are no available Samebug tips for this exception. Do you have an idea how to solve this issue? A short tip would help users who saw this issue last week.

  • 有支持ES2.3.4计划吗?
    via GitHub by lonly197
    ,
  • GitHub comment 44#215453412
    via GitHub by Cingrith
    ,
  • Incompatible with ES 2.3
    via GitHub by LRancez
    ,
  • GitHub comment 94#284317943
    via GitHub by ashishmundrajll
    ,
  • GitHub comment 226#166341112
    via GitHub by bilsch
    ,
  • 2.2.0 Support
    via GitHub by marklit
    ,
    • java.lang.IllegalArgumentException: Plugin [analysis-ik] is incompatible with Elasticsearch [2.3.4]. Was designed for version [2.3.3] at org.elasticsearch.plugins.PluginInfo.readFromProperties(PluginInfo.java:118) at org.elasticsearch.plugins.PluginsService.getPluginBundles(PluginsService.java:378) at org.elasticsearch.plugins.PluginsService.<init>(PluginsService.java:128) at org.elasticsearch.node.Node.<init>(Node.java:158) at org.elasticsearch.node.Node.<init>(Node.java:140) at org.elasticsearch.node.NodeBuilder.build(NodeBuilder.java:143) at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:178) at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:270) at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:35)

    Users with the same issue

    Unknown visitor1 times, last one,
    Unknown visitor1 times, last one,